<?php

/**
 * Most Loved Widget Class
 */
class lip_most_loved_widget extends WP_Widget {

    /** constructor */
    function __construct() {
        parent::__construct(false, $name = __('Most Loved Items', 'dante-framework'), array('description' => __('Show the most loved items', 'dante-framework')));	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {	
        extract( $args );
        $title 	= apply_filters('widget_title', $instance['title']);
        $number = strip_tags($instance['number']);
		
		echo $before_widget; 
            if ( $title )
                echo $before_title . $title . $after_title; ?>
					<ul class="most-loved">
					<?php
						$args = array(
							'post_type' => 'any',
							'numberposts' => $number,
							'meta_key' => '_li_love_count',
							'orderby' => 'meta_value_num',
							'order' => 'DESC'
						);
						$most_loved = get_posts( $args );
						foreach( $most_loved as $loved ) : ?>
							<li class="loved-item">
							 	<div class="loved-count"><i class="fas fa-heart"></i><?php echo get_post_meta($loved->ID, '_li_love_count', true); ?></div>
								<a href="<?php echo get_permalink($loved->ID); ?>"><?php echo get_the_title($loved->ID); ?></a><br/>
							</li>
						<?php endforeach; ?>
					</ul>
              <?php 
		echo $after_widget;
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {		
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['number'] = strip_tags($new_instance['number']);
        return $instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {	
    	if (isset($instance['title'])) {
        $title = esc_attr($instance['title']);
        } else {
        $title = __("Most Loved", 'dante-framework');
        }
        if (isset($instance['number'])) {
        $number = esc_attr($instance['number']);
        } else {
        $number = 5;
        }
        ?>
         <p>
          <label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e('Title:', 'dante-framework'); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
        </p>
		<p>
          <label for="<?php echo $this->get_field_id('number'); ?>"><?php esc_html_e('Number to Show:', 'dante-framework'); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php echo $number; ?>" />
        </p>
        <?php 
    }
}

add_action( 'widgets_init', 'dante_load_lip_most_loved_widget' );
    
function dante_load_lip_most_loved_widget() {
    register_widget('lip_most_loved_widget');
}